[Bug general/21011] "may be used uninitialized" error with -Werror=maybe-uninitialized

luizluca at gmail dot com sourceware-bugzilla@sourceware.org
Tue Apr 4 05:37:00 GMT 2017


https://sourceware.org/bugzilla/show_bug.cgi?id=21011

--- Comment #5 from Luiz Angelo Daros de Luca <luizluca at gmail dot com> ---
Mark,

I know that both might be a compiler bug. However, the cost of solving them are
very low.

Yes, I might be compiling elfutils with non-standard options. However, the
non-standard might be the standard for some distribution like LEDE/OpenWRT.

The alternative for me is not to use -Wno-error but to patch the code (and
maintain the patch) until compiler gets it right. I was just hoping that fixing
this upstream will help any other elfutils users that need to compile with
those non-standard flags on.

I'll reopen only once more this bug. If you think that it should not be "fixed"
upstream, mark it again as resolved and I'll let it go.

-- 
You are receiving this mail because:
You are on the CC list for the bug.


More information about the Elfutils-devel mailing list